Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
      get 'er_email/send_email/:id', to: 'er_emails#send_email'
      get 'er_email/test_send_email/:id', to: 'er_emails#test_send_email'
      post 'er_email/preview', to: 'er_emails#preview'
      get 'er_email/destroy_preview/:id', to: 'er_emails#destroy_preview'
      resources :er_emails
   end
  end
  
end
